<div style="margin-bottom: 15px;">

    <p-dataTable
        [value]="featureApplicables"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        rowHover="true"
        dataKey="idApplicability"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['feature-applicable-popup-new-list', null] } }]"><span><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</span></a>
                </li>
            </ul>
        </p-header>
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.featureApplicable.boolValue'|translate}}" [style]="{'width': '60px', 'text-align': 'center'}">>
            <ng-template let-rowData="rowData" pTemplate="body">
                <i [hidden]="!rowData.boolValue" class="fa fa-check"></i>
            </ng-template>
            <ng-template let-col let-rowData="rowData" pTemplate="editor">
                <p-checkbox [(ngModel)]="rowData.boolValue" binary="true"></p-checkbox>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.featureApplicable.dateFrom'|translate}}" [style]="{'width': '150px'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dateFrom | date:'dd-MM-yyyy HH:mm:ss'}}
            </ng-template>
            <ng-template let-col let-rowData="rowData" pTemplate="editor">
                <p-calendar [(ngModel)]="rowData.dateFrom"
                      dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"></p-calendar>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.featureApplicable.dateThru'|translate}}" [style]="{'width': '150px'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dateThru | date:'dd-MM-yyyy HH:mm:ss'}}
            </ng-template>
            <ng-template let-col let-rowData="rowData" pTemplate="editor">
                <p-calendar [(ngModel)]="rowData.dateThru"
                      dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"></p-calendar>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.featureApplicable.featureType'|translate}}" *ngIf="idFeatureType === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.featureTypeId">
                    <a [routerLink]="['../feature-type', rowData.featureTypeId  ]" >{{rowData.featureTypeDescription}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.featureApplicable.feature'|translate}}" *ngIf="idFeature === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.featureId">
                    <a [routerLink]="['../feature', rowData.featureId  ]" >{{rowData.featureDescriptionription}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.featureApplicable.product'|translate}}" *ngIf="idProduct === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.productId">
                    <a [routerLink]="['../product', rowData.productId  ]" >{{rowData.productName}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '75px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="button"
                    [routerLink]="['/', { outlets: { popup: 'feature-applicable/'+ rowData.idApplicability + '/edit'} }]"
                    replaceUrl="true"
                    icon="fa-pencil"
                    class="flat-button">
                </button>
                <button pButton type="button"
                    (click)="delete(rowData.idApplicability)"
                    icon="fa-remove"
                    class="flat-button">
                </button>
            </ng-template>
        </p-column>
    </p-dataTable>
</div>
